import { createStore } from "vuex";
import { setToken } from "@/utils/auth";
export default createStore({
  state: {
    loginCode: "",
    key: "",
    uname: "",
    token: "",
    spatialQueryData: {
      pageIndex: 1,
      pageSize: 10,
      name: null,
      wkt: null,
      hasGeom: null,
      filter: null,
      count: 0,
      obj: null,
    },
    chekNowLayers: [],
    exportImgUrl: "",
    tab: null,
    doubleMap: false,
    doubleMenu: false,
    details: {
      gid: null,
      tab: null,
      showDetails: false,
    },
    restLayer: false,
  },
  mutations: {
    //获取登录Code
    setLoginCode(state, num) {
      state.loginCode = num;
    },
    SET_KEY(state, key) {
      state.key = key;
    },
    SET_UNAME(state, name) {
      state.uname = name;
    },
    SET_TOKEN(state, token) {
      state.token = token;
      setToken(token);
    },
    SET_CHECKLAYER(state, layers) {
      state.chekNowLayers = layers;
    },
  },
  actions: {},
  modules: {},
});
